/*******************************************************************************
 * FoxSpecialMove_VehicleSpawnLand generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSpecialMove_VehicleSpawnLand extends FoxSpecialMove_Land;

simulated function StartSpecialMove()
{
    local Vector HitLoc, HitNorm;
    local Actor HitActor;
    local FoxVehicle CastPawn;

    super(FoxSpecialMove_AnimationBase).StartSpecialMove();
    CastPawn = FoxVehicle(PawnOwner);
    HitActor = PawnOwner.Trace(HitLoc, HitNorm, CastPawn.Location + vect(0.0, 0.0, -512.0), CastPawn.Location, false);
    // End:0x1CE
    if((PawnOwner.WorldInfo.NetMode != NM_DedicatedServer) && (CastPawn.CachedActorLandedOn == none) || CastPawn.CachedActorLandedOn == HitActor)
    {
        PawnOwner.WorldInfo.MyEmitterPool.SpawnEmitter(CastPawn.SpawnLandParticleSystem, HitLoc, CastPawn.Rotation);
    }
    CastPawn.PlaySpawnLandEffects();
    CastPawn.CachedActorLandedOn = none;
    return;
    //return;    
}

defaultproperties
{
    Anims(0)=(TP_Anim=(AnimName=(Spawn_In)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10)
}